Debian Bug report logs - #697873
live-boot: Easy fix for broken persistence-label parameter

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Mike Gach <gach.mqt@gmail.com>

Date: Thu, 10 Jan 2013 18:36:01 UTC

Severity: normal

Tags: patch

Found in version live-boot/3.0~a35-1

Fixed in versions live-boot/3.0.0-1, live-boot/4.0~a5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gach.mqt@gmail.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#697873; Package live-boot. (Thu, 10 Jan 2013 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gach <gach.mqt@gmail.com>:
New Bug report received and forwarded. Copy sent to gach.mqt@gmail.com, Debian Live Project <debian-live@lists.debian.org>. (Thu, 10 Jan 2013 18:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gach <gach.mqt@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-boot: Easy fix for broken persistence-label parameter
Date: Thu, 10 Jan 2013 04:24:58 -0500
Package: live-boot
Version: 3.0~a35-1
Severity: important
Tags: patch

Dear Maintainer,

I have a persistent Live Wheezy 7.0~b4 working with the file name 'persistence'. If I use persistence-label=xyz and make a file named 'persistence-xyz' (with a proper live-persistence.conf file in it), then when the system is rebooted, the system will not be using either persistence file.

The porblem exists in live-boot 3.0~a35-1, 3.0~b4-1, and 3.0~b11-1

There is an easy fix. The problem is in cmdline.sh for 3.0~a and 9990-cmdline-old for 3.0~b. When the parameter is parsed, the label is applied to the variables without prefixes.

Current code:
	persistence-label=*)
		old_live_overlay_label="${_PARAMETER#persistence-label=*}"
		old_home_overlay_label="${_PARAMETER#persistence-label=*}"
		custom_overlay_label="${_PARAMETER#persistence-label=*}"
 		;;

Fixed code:
	persistence-label=*)
		old_live_overlay_label="live-rw-${_PARAMETER#persistence-label=*}"
		old_home_overlay_label="home-rw-${_PARAMETER#persistence-label=*}"
		custom_overlay_label="persistence-${_PARAMETER#persistence-label=*}"
		;;

I have tested this on 3.0~a35-1 and 3.0~b11-1 with keys that boot multiple images each with their own persistence file.

This is my first bug report. If I missed any information or need to do some specific testing, I would be happy to.

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-boot depends on:
ii  live-boot-initramfs-tools [live-boot-backend]  3.0~a35-1

Versions of packages live-boot recommends:
ii  eject          2.1.5+deb1+cvs20081104-11
ii  file           5.11-2
ii  live-boot-doc  3.0~a35-1
ii  rsync          3.0.9-3
ii  uuid-runtime   2.20.1-5.2

Versions of packages live-boot suggests:
pn  cryptsetup    <none>
pn  curlftpfs     <none>
pn  httpfs2       <none>
pn  unionfs-fuse  <none>
ii  wget          1.13.4-3

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697873; Package live-boot. (Fri, 11 Jan 2013 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Jan 2013 11:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 697873@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Mike Gach <gach.mqt@gmail.com>
Cc: 697873@bugs.debian.org
Subject: Re: Bug#697873: live-boot: Easy fix for broken persistence-label parameter
Date: Fri, 11 Jan 2013 12:40:53 +0100
severity 697873 normal
thanks

On 01/10/2013 10:24 AM, Mike Gach wrote:
> [...] with the file name 'persistence'. If I use persistence-label=xyz and make a file named 'persistence-xyz' [...] when the system is rebooted, the system will not be using either persistence file.

why not use 'persistence-label=persistence-xyz then?

the idea is to not enforce a naming scheme here upon the user.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Severity set to 'normal' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 11 Jan 2013 11:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697873; Package live-boot. (Fri, 11 Jan 2013 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Jan 2013 13:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 697873@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 697873@bugs.debian.org
Cc: Mike Gach <gach.mqt@gmail.com>
Subject: Re: Bug#697873: live-boot: Easy fix for broken persistence-label parameter
Date: Fri, 11 Jan 2013 09:21:55 -0400
On 11/01/13 07:40 AM, Daniel Baumann wrote:
> severity 697873 normal
> thanks
> 
> On 01/10/2013 10:24 AM, Mike Gach wrote:
>> [...] with the file name 'persistence'. If I use persistence-label=xyz
>> and make a file named 'persistence-xyz' [...] when the system is
>> rebooted, the system will not be using either persistence file.
> 
> why not use 'persistence-label=persistence-xyz then?
> 
> the idea is to not enforce a naming scheme here upon the user.

The man page says that it is a suffix. If the doc is wrong, please fix
the doc to match reality. In live-boot-doc 3.0~b11-1, it is:

       persistence-subtext=SUFFIX
           Add a suffix when searching for the image filenames or par‐
           tition  labels  to  use for the above mentioned persistence
           feature, the SUFFIX will  be  added  after  a  dash  (e.g.:
           "live-sn"  would  transform  to  "live-sn-SUFFIX"). This is
           handy to test multiple live-boot  based  live-systems  with
           different persistence storage choices.


Ben






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697873; Package live-boot. (Fri, 11 Jan 2013 13:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Jan 2013 13:45:07 GMT) Full text and rfc822 format available.

Message #22 received at 697873@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Cc: 697873@bugs.debian.org, Mike Gach <gach.mqt@gmail.com>
Subject: Re: Bug#697873: live-boot: Easy fix for broken persistence-label parameter
Date: Fri, 11 Jan 2013 14:44:08 +0100
On 01/11/2013 02:21 PM, Ben Armstrong wrote:
> The man page says that it is a suffix. If the doc is wrong, please fix
> the doc to match reality.

which is well know, several times already discussed (with you too :), 
and on the wheezy todo.

so far, (as i've explained) i haven't updated it on *purpose* yet since 
the manpages need a complete rewrite to match reality, not just for that 
one option, and that means going to the whole code and write the manpage 
alongside.

as you can see, also not even the bootparameter has been updated (since 
it's not long ago that the final name has been choosen; 
persistence-subtext vs. persistence-label).

but all that is not the point of the bug.. so, my initial question still 
stands.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697873; Package live-boot. (Fri, 11 Jan 2013 14:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Jan 2013 14:03:09 GMT) Full text and rfc822 format available.

Message #27 received at 697873@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 697873@bugs.debian.org
Cc: Mike Gach <gach.mqt@gmail.com>
Subject: Re: Bug#697873: live-boot: Easy fix for broken persistence-label parameter
Date: Fri, 11 Jan 2013 09:59:00 -0400
On 11/01/13 09:44 AM, Daniel Baumann wrote:
> On 01/11/2013 02:21 PM, Ben Armstrong wrote:
>> The man page says that it is a suffix. If the doc is wrong, please fix
>> the doc to match reality.
> 
> which is well know, several times already discussed (with you too :),
> and on the wheezy todo.

I know that in general the man pages are still out of date, but as it is
quite relevant to this bug filing, I wanted to bring it up, as it sheds
light on why the patch won't be accepted.

> so far, (as i've explained) i haven't updated it on *purpose* yet since
> the manpages need a complete rewrite to match reality, not just for that
> one option, and that means going to the whole code and write the manpage
> alongside.
>
> as you can see, also not even the bootparameter has been updated (since
> it's not long ago that the final name has been choosen;
> persistence-subtext vs. persistence-label).
> 
> but all that is not the point of the bug.. so, my initial question still
> stands.

Well, that question makes more sense now in light of my observations above.

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697873; Package live-boot. (Fri, 11 Jan 2013 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gach <gach.mqt@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Jan 2013 15:21:05 GMT) Full text and rfc822 format available.

Message #32 received at 697873@bugs.debian.org (full text, mbox):

From: Mike Gach <gach.mqt@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 697873@bugs.debian.org
Subject: Re: Bug#697873: live-boot: Easy fix for broken persistence-label parameter
Date: Fri, 11 Jan 2013 10:16:43 -0500
[Message part 1 (text/plain, inline)]
On Fri, Jan 11, 2013 at 6:40 AM, Daniel Baumann <
daniel.baumann@progress-technologies.net> wrote:

> severity 697873 normal
> thanks
>
> On 01/10/2013 10:24 AM, Mike Gach wrote:
>
>> [...] with the file name 'persistence'. If I use persistence-label=xyz
>> and make a file named 'persistence-xyz' [...] when the system is rebooted,
>> the system will not be using either persistence file.
>>
>
> why not use 'persistence-label=**persistence-xyz then?
>
> the idea is to not enforce a naming scheme here upon the user.
>
>
 Thank you for the reply. Yes, I agree that more flexible is preferred.


I’m sorry I should have mentioned that I also had a persistence file with
the name ‘xyz’, but that did not work either. I believe because all three
variables (old_live_overlay_label, old_home_overlay_label,
custome_persistence_label) all get assigned the same thing, so three
identical loop mounts are brought up during the search and something goes
wrong there (I couldn’t follow the debug much farther than that).


You have given me a better more flexible idea. Let me purpose this fixed
code:

        persistence-label=*)

                custom_overlay_label="${_PARAMETER#persistence-label=*}"

                ;;


Simply remove the 'old_..._label' assignments so they keep their
initialized values (live-rw and home-rw). custom_overlay_label is now the
variable used to look for both new custom labeled persistence files and
legacy custom labeled persistence files. (legacy users will have to
understand how to add live-persistence.conf to their file, but I think that
is reasonable).


I made the change (on a Wheezy 7.0~b4 live-boot 3.0~a35 build) and tried
the following persistence files using the full file name for the parameter
persistence-label=


persistence-xyz

live-rw-xyz

xyz-v3.2


Each of the three booted with persistence enabled as expected. After
looking at the code, this should fix 3.0~b11-1 also, but I have not tested
it.

-- 
--
M Gach
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697873; Package live-boot. (Fri, 11 Jan 2013 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Jan 2013 15:51:03 GMT) Full text and rfc822 format available.

Message #37 received at 697873@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Mike Gach <gach.mqt@gmail.com>
Cc: 697873@bugs.debian.org
Subject: Re: Bug#697873: live-boot: Easy fix for broken persistence-label parameter
Date: Fri, 11 Jan 2013 16:52:50 +0100
On 01/11/2013 04:16 PM, Mike Gach wrote:
> Let me purpose this fixed code:
>
>          persistence-label=*)
>                  custom_overlay_label="${_PARAMETER#persistence-label=*}"
>                  ;;
>
> Simply remove the 'old_..._label' assignments so they keep their
> initialized values (live-rw and home-rw). custom_overlay_label is now
> the variable used to look for both new custom labeled persistence files
> and legacy custom labeled persistence files. (legacy users will have to
> understand how to add live-persistence.conf to their file, but I think
> that is reasonable).

ack; would you like to prepare a patch for that, including a note for 
the manpage?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697873; Package live-boot. (Fri, 11 Jan 2013 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gach <gach.mqt@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 11 Jan 2013 16:09:05 GMT) Full text and rfc822 format available.

Message #42 received at 697873@bugs.debian.org (full text, mbox):

From: Mike Gach <gach.mqt@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 697873@bugs.debian.org
Subject: Re: Bug#697873: live-boot: Easy fix for broken persistence-label parameter
Date: Fri, 11 Jan 2013 11:04:09 -0500
[Message part 1 (text/plain, inline)]
On Fri, Jan 11, 2013 at 10:52 AM, Daniel Baumann <
daniel.baumann@progress-technologies.net> wrote:

> On 01/11/2013 04:16 PM, Mike Gach wrote:
>
>> Let me purpose this fixed code:
>>
>>          persistence-label=*)
>>                  custom_overlay_label="${_**
>> PARAMETER#persistence-label=*}**"
>>                  ;;
>>
>> Simply remove the 'old_..._label' assignments so they keep their
>> initialized values (live-rw and home-rw). custom_overlay_label is now
>> the variable used to look for both new custom labeled persistence files
>> and legacy custom labeled persistence files. (legacy users will have to
>> understand how to add live-persistence.conf to their file, but I think
>> that is reasonable).
>>
>
> ack; would you like to prepare a patch for that, including a note for the
> manpage?
>
>
I would be happy to. I will have to do some reading to make sure I
understand the right way to make the patch, so I will get to that this
weekend.

-- 
--
M Gach
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697873; Package live-boot. (Tue, 15 Jan 2013 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gach <gach.mqt@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 15 Jan 2013 16:03:03 GMT) Full text and rfc822 format available.

Message #47 received at 697873@bugs.debian.org (full text, mbox):

From: Mike Gach <gach.mqt@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 697873@bugs.debian.org
Subject: Re: Bug#697873: live-boot: Easy fix for broken persistence-label parameter
Date: Tue, 15 Jan 2013 10:58:02 -0500
[Message part 1 (text/plain, inline)]
On Fri, Jan 11, 2013 at 11:04 AM, Mike Gach <gach.mqt@gmail.com> wrote:

> On Fri, Jan 11, 2013 at 10:52 AM, Daniel Baumann <
> daniel.baumann@progress-technologies.net> wrote:
>
>>
>> ack; would you like to prepare a patch for that, including a note for the
>> manpage?
>>
>> I would be happy to. I will have to do some reading to make sure I
> understand the right way to make the patch, so I will get to that this
> weekend.
>
>
I'm not sure if I did this patch right. It is the output of git diff, but
other patches I looked at seem to have some information before the diff
--git line.

Here is some info for the man page:

persistence-label=LABEL
live-boot will use the name "LABEL" instead of "persistence" when searching
for persistent storage. LABEL can be any legal filename, partition label,
or GPT name. This option replaces the less flexible persistent-subtext
option from v2 of live-boot. If you wish to continue using legacy names for
persistent storage, use the full name with this option. For example:
persistence-label=live-rw-xyz

-- 
--
M Gach
[Message part 2 (text/html, inline)]
[9990-cmdline-old.patch (application/octet-stream, attachment)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 12 Feb 2013 07:36:29 GMT) Full text and rfc822 format available.

Notification sent to Mike Gach <gach.mqt@gmail.com>:
Bug acknowledged by developer. (Tue, 12 Feb 2013 07:36:29 GMT) Full text and rfc822 format available.

Message #52 received at 697873-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 697873-close@bugs.debian.org
Subject: Bug#697873: fixed in live-boot 3.0.0-1
Date: Tue, 12 Feb 2013 07:32:31 +0000
Source: live-boot
Source-Version: 3.0.0-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697873@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Feb 2013 08:23:17 +0100
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Live System Boot Scripts
 live-boot-doc - Live System Boot Scripts (documentation)
 live-boot-initramfs-tools - Live System Boot Scripts (initramfs-tools backend)
Closes: 696494 696495 697873
Changes: 
 live-boot (3.0.0-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
 .
   [ Richard Nelson ]
   * Replace noprompt with noeject on manpage.
 .
   [ Daniel Baumann ]
   * Updating noeject description in manpage.
 .
   [ chals ]
   * Updating Spanish translation in respect to noeject.
 .
   [ Daniel Baumann ]
   * Dropping dpkg compression level.
   * Calling df with -P to avoid line wraps with overly long mountpoints.
 .
   [ Tails developers ]
   * Improving test for /etc/fstab.d support by testing for its existence
     instead of /run's one.
 .
   [ Daniel Baumann ]
   * Removing some dead code in netbase parts.
 .
   [ Gaudenz Steinlin ]
   * Fixing support for multiple squashfs images (Closes: #696494).
   * Fixing mounting of rootfs, cow and medium filesystems (Closes:
     #696495).
 .
   [ Daniel Baumann ]
   * Correcting persistence-label handling fwrt/ legacy live-boot 2.x
     support, thanks to Mike Gach <gach.mqt@gmail.com> (Closes: #697873).
Checksums-Sha1: 
 4b84d9ee3ccd6766f6e473bd09649925680ed44e 1369 live-boot_3.0.0-1.dsc
 18204a278c603005415dbcc93701421bc3deff74 58680 live-boot_3.0.0.orig.tar.xz
 b6f4422eaad02d9c41e265c9063466f5f8fb3d23 22336 live-boot_3.0.0-1.debian.tar.xz
 e9ff4053da5b1aba67a0f1d4e2705ea38912537f 48746 live-boot_3.0.0-1_all.deb
 372943dfba16ce1c99537d4816d1ae3b6eabf915 51726 live-boot-doc_3.0.0-1_all.deb
 f43e6e59f93a7e8d8b86b438fa0cb3c865f7a952 26280 live-boot-initramfs-tools_3.0.0-1_all.deb
Checksums-Sha256: 
 3fdb8f02bb3e5cce457af2e973922a1e9be6968c05f50d2e530c8d58088fd35b 1369 live-boot_3.0.0-1.dsc
 277b999f4fcd1511532479e21e8facbce2c288e1f3ed80bcf2cb54cec66615f0 58680 live-boot_3.0.0.orig.tar.xz
 868afb2615e4cfc471ec0ba574d963705d3a81ed0bbdf5fb5791416c70953db0 22336 live-boot_3.0.0-1.debian.tar.xz
 df253693957a1769dc48e477b745170d40999f3ce24261481d384778289a8387 48746 live-boot_3.0.0-1_all.deb
 58ee0163efe688a065392b1f6214f1359a48754325efc18b6d31a3433c4e05c0 51726 live-boot-doc_3.0.0-1_all.deb
 ca23c361bb08c886565c1daa3da4aac8f1f759bb7f6b828668b84a17b95be6fb 26280 live-boot-initramfs-tools_3.0.0-1_all.deb
Files: 
 61882150301dfe1137200d96d731de00 1369 misc optional live-boot_3.0.0-1.dsc
 a6859198d0782ca9c968b2f210eb9212 58680 misc optional live-boot_3.0.0.orig.tar.xz
 8fd7a18ad8e7c8ec5d80d4c03a98bc7d 22336 misc optional live-boot_3.0.0-1.debian.tar.xz
 9c1d72dcc5279a2a368ab0d84e40373e 48746 misc optional live-boot_3.0.0-1_all.deb
 13623fe33a1b96e291c8c244fa4a05bf 51726 doc optional live-boot-doc_3.0.0-1_all.deb
 dd630cd123e12348800670f97326c46d 26280 misc optional live-boot-initramfs-tools_3.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEZ7tkACgkQ+C5cwEsrK566zwCfY/CoOcNqpe7n9TF3nxXwS6bc
qaEAoI3TfVvhGfo4wP47dr7Ykd32TaHA
=x8xo
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 12 Feb 2013 07:36:34 GMT) Full text and rfc822 format available.

Notification sent to Mike Gach <gach.mqt@gmail.com>:
Bug acknowledged by developer. (Tue, 12 Feb 2013 07:36:34 GMT) Full text and rfc822 format available.

Message #57 received at 697873-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 697873-close@bugs.debian.org
Subject: Bug#697873: fixed in live-boot 4.0~a5-1
Date: Tue, 12 Feb 2013 07:32:38 +0000
Source: live-boot
Source-Version: 4.0~a5-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697873@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Feb 2013 08:29:27 +0100
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 4.0~a5-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Live System Boot Scripts
 live-boot-doc - Live System Boot Scripts (documentation)
 live-boot-initramfs-tools - Live System Boot Scripts (initramfs-tools backend)
Closes: 696494 696495 697873
Changes: 
 live-boot (4.0~a5-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
 .
   [ Richard Nelson ]
   * Replace noprompt with noeject on manpage.
 .
   [ Daniel Baumann ]
   * Updating noeject description in manpage.
 .
   [ chals ]
   * Updating Spanish translation in respect to noeject.
 .
   [ Daniel Baumann ]
   * Dropping dpkg compression level.
   * Calling df with -P to avoid line wraps with overly long mountpoints.
   * Removing some dead code in netbase parts.
 .
   [ Gaudenz Steinlin ]
   * Fixing support for multiple squashfs images (Closes: #696494).
   * Fixing mounting of rootfs, cow and medium filesystems (Closes:
     #696495).
 .
   [ Daniel Baumann ]
   * Adding 3.0.0-1 changelog entries.
   * Updating manpage for persistence-label, thanks to Mike Gach
     <gach.mqt@gmail.com> (Closes: #697873).
Checksums-Sha1: 
 f77a17d4d0b83037caf3f80fd04f75990a99c1c8 1376 live-boot_4.0~a5-1.dsc
 4a0d1d43157b8ac3a42a12a53f3688d023094f4e 58292 live-boot_4.0~a5.orig.tar.xz
 4bb6136e9e2f071cb9eb7c8fdc23bdeed158bb4f 22456 live-boot_4.0~a5-1.debian.tar.xz
 9fefd13a0790bae5cff8336e94c93be0cd437a26 48654 live-boot_4.0~a5-1_all.deb
 d426514cfde12a008e860b86ec1cc1c0fc40290d 51554 live-boot-doc_4.0~a5-1_all.deb
 a99819c5b276b6d8639080b9fa704716f7d4ab0a 26424 live-boot-initramfs-tools_4.0~a5-1_all.deb
Checksums-Sha256: 
 2fc30550b53eb86039b747dbe258fbbcab9d1a8e49ea921a96bf1cf9ad9dfd24 1376 live-boot_4.0~a5-1.dsc
 99272c8e0af14d9434ce03e82d0e5c9e05629706e9561d0a8b16e7970afda812 58292 live-boot_4.0~a5.orig.tar.xz
 e33c69bb41e7a941b7324f1c9021bd437da823a44703ad79957e972f1505a25b 22456 live-boot_4.0~a5-1.debian.tar.xz
 9bc2d87347251859dce4e0b8039e37660a311f6cd3065641f24a3aba5c74512f 48654 live-boot_4.0~a5-1_all.deb
 fa9647831c1e9d91cb91b829db19a3eb04cd0bd299285867d2a1aed29e38e3e7 51554 live-boot-doc_4.0~a5-1_all.deb
 3be8a623a6f2c2ea81df8745047d013d23ee0aecd30e46c7a42dd2b4cd8ebc4f 26424 live-boot-initramfs-tools_4.0~a5-1_all.deb
Files: 
 a6ec0392466cf4fc6da11d84dc92a117 1376 misc optional live-boot_4.0~a5-1.dsc
 83eabe33a81ea5754b210e9449fe5f06 58292 misc optional live-boot_4.0~a5.orig.tar.xz
 da72f1bb94bed706253861d1b4b2ba81 22456 misc optional live-boot_4.0~a5-1.debian.tar.xz
 4c166596545aa322c800ec769082dfc4 48654 misc optional live-boot_4.0~a5-1_all.deb
 4397e46bff3f053edca5e77c9e33bf2f 51554 doc optional live-boot-doc_4.0~a5-1_all.deb
 f3a2e5a7a8b311a9ba7a7b0eefc68005 26424 misc optional live-boot-initramfs-tools_4.0~a5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEZ75gACgkQ+C5cwEsrK54oagCePssHbldi3A/hRsaNQxC/te22
H5AAoOAKIbBrijGGmctlhSBxR6v1B3IP
=tjRy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Mar 2013 07:26:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:08:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.